%define	module	Mail-MboxParser
%define	name	perl-%{module}
%define	version	0.55
%define	release	%mkrel 2

%define _requires_exceptions perl(Mail::MboxParser::Mail)
%define _provides_exceptions perl(Mail::MboxParser::Mail)\\|perl(Mail::MboxParser::Base)\\|perl(Mail::MboxParser::Mail::Body)\\|perl(Mail::MboxParser::Mail::Convertable)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Read-only access to UNIX-mailboxes 
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Mail/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl-MIME-tools
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}


%description
This module attempts to provide a simplified access to standard UNIX-mailboxes.
It offers only a subset of methods to get 'straight to the point'. More
sophisticated things can still be done by invoking any method from MIME::Tools
on the appropriate return values.

Mail::MboxParser has not been derived from Mail::Box and thus isn't acquainted
with it in any way. It, however, incorporates some invaluable hints by the
author of Mail::Box, Mark Overmeer.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changelog README
%{perl_vendorlib}/Mail
%{_mandir}/man3*/*


%changelog
* Fri Jan 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-2mdv2007.0
+ Revision: 107907
- rebuild
- Import perl-Mail-MboxParser



* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdk
- new version
- spec cleanup
- %%mkrel
- better summary and description
- fix directory ownership

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.54-1mdk
- 0.54

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.53-1mdk
- 0.53

* Fri Feb 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.52-1mdk
- 0.52

* Tue Jan 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-1mdk
- 0.51
- remove requires_exceptions and provides_exceptions for internal modules

* Tue Aug 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.49-1mdk
- 0.49

* Tue Jul 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.48-1mdk
- 0.48

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.47-1mdk
- 0.47
- drop PREFIX and use %%makeinstall_std macro
- cosmetics

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 0.40-1mdk
- 0.40.

* Wed Jul 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.38-1mdk
- initial cooker contrib.
